Laravel 5.7 项目环境配置

在新 VPS 上部署项目,Laravel 5.7 需要 PHP 版本 7.1.3 以上了。Ubuntu 16.04 安装的 PHP 是 7.0 的,需先升级。

add-apt-repository ppa:ondrej/php
apt-get update
apt-get upgrade php
apt-get install php7.2-fpm

安装所需 PHP 扩展

apt-get install php7.2-mbstring php7.2-xml php7.2-gd php7.2-mysql php7.2-zip

安装 composer

curl -sS https://getcomposer.org/installer | php
mv composer.phar /usr/local/bin/composer

安装最新版 node 和 npm

apt-get install nodejs-legacy
apt-get install npm
npm install -g n
n stable
ln -sf /usr/local/n/versions/node/<VERSION>/bin/node /usr/bin/nodejs